module Deis
  module Commands
    class CopyConfig < Struct.new :source_app, :dest_app
      include Helpers

      def run
        system <<-sh
        deis config --app #{source_app} --oneline | xargs deis config:set --app #{dest_app}
        sh
      end
    end
  end
end
