module Deis
  module Commands
    class Enable < Struct.new :app
      include Helpers

      def run
        status "Enabling App: #{app}"
        get_units!
        if units.any? { |_, v| v > 0 }
          status "App Already enabled!"
          return
        end
        scale app, units.keys.each_with_object({}) { |k, h| h[k] = 1 }
        status "App enabled!"
      end

    end
  end
end
